OGRE: Ogre::WorkQueue::Response Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::WorkQueue::Response Struct Reference

General purpose response structure. More...

`#include <OgreWorkQueue.h>`

Inheritance diagram for Ogre::WorkQueue::Response:
[legend]

## Public Member Functions
| Response (const Request *rq, bool success, const Any &data, const String &msg=BLANKSTRING)
| ~Response ()
const Any & | getData () const
| Return the response data (user defined, only valid on success).
const String & | getMessages () const
| Get any diagnostic messages about the process.
const Request * | getRequest () const
| Get the request that this is a response to (NB destruction destroys this).
bool | succeeded () const
| Return whether this is a successful response.

## Public Attributes
Any | mData
| Data associated with the result of the process.
String | mMessages
| Any diagnostic messages.
const Request * | mRequest
| Pointer to the request that this response is in relation to.
bool | mSuccess
| Whether the work item succeeded or not.

## Detailed Description

General purpose response structure.

## Constructor & Destructor Documentation

## ◆ Response()

Ogre::WorkQueue::Response::Response | ( | const Request * | rq,
|  | bool | success,
|  | const Any & | data,
|  | const String & | msg = BLANKSTRING )

References Ogre::BLANKSTRING.

## ◆ ~Response()

Ogre::WorkQueue::Response::~Response | ( |  | ) |

## Member Function Documentation

## ◆ getRequest()

const Request * Ogre::WorkQueue::Response::getRequest | ( |  | ) | const
| inline

Get the request that this is a response to (NB destruction destroys this).

References mRequest.

## ◆ succeeded()

bool Ogre::WorkQueue::Response::succeeded | ( |  | ) | const
| inline

Return whether this is a successful response.

References mSuccess.

## ◆ getMessages()

const String & Ogre::WorkQueue::Response::getMessages | ( |  | ) | const
| inline

Get any diagnostic messages about the process.

References mMessages.

## ◆ getData()

const Any & Ogre::WorkQueue::Response::getData | ( |  | ) | const
| inline

Return the response data (user defined, only valid on success).

References mData.

## Member Data Documentation

## ◆ mRequest

const Request* Ogre::WorkQueue::Response::mRequest

Pointer to the request that this response is in relation to.

Referenced by getRequest().

## ◆ mSuccess

bool Ogre::WorkQueue::Response::mSuccess

Whether the work item succeeded or not.

Referenced by succeeded().

## ◆ mMessages

String Ogre::WorkQueue::Response::mMessages

Any diagnostic messages.

Referenced by getMessages().

## ◆ mData

Any Ogre::WorkQueue::Response::mData

Data associated with the result of the process.

Referenced by getData().

The documentation for this struct was generated from the following file:

- OgreWorkQueue.h